Overview | Package | Class | Tree | Deprecated | Index | Help
| oracle eWay API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.oracleadapter.base
Class SessionEventImpl

    java.lang.Object
      java.util.EventObject
          com.stc.connector.oracleadapter.base.SessionEventImpl

All Implemented Interfaces:
  com.stc.connector.db.SessionEvent, java.io.Serializable

    public class SessionEventImpl

extends java.util.EventObject
implements com.stc.connector.db.SessionEvent

Version:
  $Revision: 1.1 $
Author:
  $Author: npiega $
See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.EventObject
`source`

Constructor Summary
`SessionEventImpl(com.stc.connector.db.Session session)` SessionEventImpl constructor
`SessionEventImpl(com.stc.connector.db.Session session, java.sql.SQLException ex)` SessionEventImpl constructor.

Method Summary
`java.sql.Connection` | `getConnection()` Gets the Connection related to the event.
`java.sql.SQLException` | `getSQLException()` Gets SQLException related to the event.

Methods inherited from class java.util.EventObject
`getSource, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SessionEventImpl

    public SessionEventImpl(com.stc.connector.db.Session session)

  SessionEventImpl constructor

  Parameters:
    `session` - the Session instance that triggers the event.

### SessionEventImpl

    public SessionEventImpl(com.stc.connector.db.Session session,
                            java.sql.SQLException ex)

  SessionEventImpl constructor.

  Parameters:
    `session` - the Session instance that triggers the event.
    `ex` - a SQLException instance.

Method Detail

### getSQLException

    public java.sql.SQLException getSQLException()

  Gets SQLException related to the event.

  Specified by:
    `getSQLException` in interface `com.stc.connector.db.SessionEvent`
  Returns:
    a SQLException instance.

### getConnection

    public java.sql.Connection getConnection()

  Gets the Connection related to the event.

  Specified by:
    `getConnection` in interface `com.stc.connector.db.SessionEvent`
  Returns:
    a database Connection instance.

Overview | Package | Class | Tree | Deprecated | Index | Help
| oracle eWay API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD